firefox(1)

NAME
firefox - redesign of Mozilla's browser component.

SYNOPSIS
firefox [OPTIONS] [URL] firefox-bin [OPTIONS] [URL]

DESCRIPTION
Firefox is an open-source web browser, designed for standards compliance, performance and portability.

USAGE
firefox is a simple shell script that will set up the environment for the actual executable, firefox-bin.

OPTIONS
A summary of the options supported by firefox is included below.

  GTK options
--gdk-debug=FLAGS Gdk debugging flags to set

--gdk-no-debug=FLAGS
    Gdk debugging flags to unset

--gtk-debug=FLAGS
    Gtk+ debugging flags to set

--gtk-no-debug=FLAGS
    Gtk+ debugging flags to unset

--gtk-module=MODULE
    Load an additional Gtk module

  X11 options

--display=DISPLAY
    X display to use

--sync
    Make X calls synchronous

--no-xshm
    Don't use X shared memory extension

--xim-preedit=STYLE

--xim-status=STYLE

--g-fatal-warnings
    Make all warnings fatal

  Firefox options

-height value
    Set height of startup window to value.

-h, -help
    Show summary of options.

-width value
    Set width of startup window to value.

-v, -version
    Print firefox-bin version.

-CreateProfile profile
    Create profile.

-P profile
    Start with profile.

-ProfileManager
    Start with profile manager.

-UILocale locale
    Start with locale resources as UI Locale.

-contentLocale locale
    Start with locale resources as content Locale.

-safe-mode
    Disables extensions and themes for the session.

-jsconsole
    Start with Javascript Console

-chrome url
    Load the specified chrome.

-browser
    Open a browser window.

FILES
/usr/local/bin/firefox - shell script wrapping firefox
/usr/local/mozilla-firefox/firefox-bin - firefox executable

VERSION
2.0.0.16

BUGS
To report a bug, please visit https://bugzilla.mozilla.org/

SEE ALSO
galeon(1)

AUTHORS

The Mozilla Organization
    http://www.mozilla.org/about.html